// step 1 - define a module and its dependencies
window.app = angular.module('myApp', ['ngRoute']);
// step 2 - configure the router
app.config(['$routeProvider',
    function ($routeProvider) {
        $routeProvider
        // personal data
        .when('/home', { templateUrl: 'views/home.html', controller: 'homeController', data: { title: 'Home'} })
        .when('/aboutus', { templateUrl: 'views/aboutus.html', controller: 'aboutusController', data: { title: 'About Us'} })
        .when('/links', { templateUrl: 'views/links.html', controller: 'linksController', data: { title: 'Links'} })
        .otherwise({ redirectTo: '/home' });
    } ]);
// define the application
app.controller('shell', ['$scope', '$route', '$location',
    function ($scope, $route, $location) {
        $scope.title = "List of Pages";

        $scope.routes = [];

        for (var r in $route.routes)
            $scope.routes.push($route.routes[r]);

        // a filter function to revove autogenerated routes from display
        $scope.filteremptyroutes = function (itm) {
            return itm.data != null;
        }

        // let's use a function and the navigation service
        $scope.navigateto = function (path) {
            $location.path(path);
        }
    } ]);