// step 1 - define a module and its dependencies
window.app = angular.module('myApp', ['ngRoute']);
// step 2 - configure the router
app.config(['$routeProvider',
    function ($routeProvider) {
        $routeProvider
        // personal data
        .when('/page1', { templateUrl: '../views/page1.html', controller: 'page1', data: { title: 'Page1'} })
        .when('/page2', { templateUrl: '../views/page2.html', controller: 'page2', data: { title: 'Page2'} })
        .otherwise({ redirectTo: '/page1' });
    } ]);
// define the application
app.controller('shell', ['$scope', '$route', '$location',
    function ($scope, $route, $location) {
        $scope.title = "List of Pages";

        $scope.routes = [];

        for (var r in $route.routes)
            $scope.routes.push($route.routes[r]);

        // a filter function to revove autogenerated routes from display
        $scope.filteremptyroutes = function (itm) {
            return itm.data != null;
        }

        // let's use a function and the navigation service
        $scope.navigateto = function (path) {
            $location.path(path);
        }
    } ]);